import pytest

import fin_defs


@pytest.mark.parametrize('asset', fin_defs.WELL_KNOWN_SYMBOLS.values())
def test_to_from_string_id(asset: fin_defs.Asset):
    assert fin_defs.Asset.from_string_id(asset.to_string_id()) == asset


@pytest.mark.parametrize('asset', fin_defs.WELL_KNOWN_SYMBOLS.values())
def test_to_from_polygon_id(asset: fin_defs.Asset):
    assert fin_defs.Asset.from_polygon_id(asset.to_polygon_id()) == asset
